<?php

namespace Runtime\Config;

use Dotenv\Dotenv;

class Env {

    /**
     * @param string $key
     * @return string
     */
    public static function get(string $key)
    {
        $dotenv = Dotenv::createImmutable('../');
        $dotenv->load();

        $result = getenv(strtoupper($key));

        return self::filter($result);
    }

    /**
     * @param string $result
     * @return mixed
     */
    private static function filter(string $result)
    {
        switch ($result) {
            case in_array($result, ['true', 'false']):
                return filter_var($result, FILTER_VALIDATE_BOOLEAN);
                break;
            case filter_var($result, FILTER_VALIDATE_INT):
                return (int) $result;
                break;
            default:
                return $result;
        }
    }

}